HP Views Designer Assistant: SettingsManager Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Static Public Member Functions | Static Private Member Functions | List of all members
SettingsManager Class Reference

The SettingsManager class. More...

`#include <settingsmanager.h>`

## Public Member Functions

| SettingsManager ()
| SettingsManager constructor.

## Static Public Member Functions

static bool | saveDefaultDir (QString dir)
| saveDefaultDir save default folder path. More...
static void | saveAlwaysAsk (bool isAlwaysAsk)
| saveAlwaysAsk save always ask vale. More...
static void | saveLanguage (QString language)
| saveLanguage save current app language. More...
static void | saveShowInitTips (bool show)
| saveShowInitTips save init tips not show again option. More...
static void | clearValues ()
| clearValues reset settings value.
static QString | getCurrentLanguage ()
| getCurrentLanguage obtains the current language. More...
static QString | getDefaultDir ()
| getDefaultDir obtains the default save folder path. More...
static bool | getIsAlwaysAsk ()
| getIsAlwaysAsk obtains if the app has to ask for the save folder. More...
static bool | getShowInitTips ()
| getShowInitTips obtains if the app has to show init tips. More...

## Static Private Member Functions

static QString | getSettingsPath ()
| getSettingsPath obtains settings file path. More...

## Detailed Description

The SettingsManager class.

## Member Function Documentation

## ◆ getCurrentLanguage()

QString SettingsManager::getCurrentLanguage | ( |  | ) |

static

getCurrentLanguage obtains the current language.

Returns
  the language acronym of the app.

## ◆ getDefaultDir()

QString SettingsManager::getDefaultDir | ( |  | ) |

static

getDefaultDir obtains the default save folder path.

Returns
  default folder path.

## ◆ getIsAlwaysAsk()

bool SettingsManager::getIsAlwaysAsk | ( |  | ) |

static

getIsAlwaysAsk obtains if the app has to ask for the save folder.

Returns
  `true` if the app has to ask for the save folder, `false` otherwise.

## ◆ getSettingsPath()

QString SettingsManager::getSettingsPath | ( |  | ) |

staticprivate

getSettingsPath obtains settings file path.

Returns
  settings file path.

## ◆ getShowInitTips()

bool SettingsManager::getShowInitTips | ( |  | ) |

static

getShowInitTips obtains if the app has to show init tips.

Returns
  `true` if the app has to show init tips, `false` otherwise.

## ◆ saveAlwaysAsk()

void SettingsManager::saveAlwaysAsk | ( | bool | isAlwaysAsk | ) |

static

saveAlwaysAsk save always ask vale.

Parameters

  isAlwaysAsk | whether the app has to ask the save folder.

## ◆ saveDefaultDir()

bool SettingsManager::saveDefaultDir | ( | QString | dir | ) |

static

saveDefaultDir save default folder path.

Parameters

  dir | folders path.

Returns
  `true` if dir is correctly saved, false otherwise.

## ◆ saveLanguage()

void SettingsManager::saveLanguage | ( | QString | language | ) |

static

saveLanguage save current app language.

Parameters

  language | current language.

## ◆ saveShowInitTips()

void SettingsManager::saveShowInitTips | ( | bool | show | ) |

static

saveShowInitTips save init tips not show again option.

Parameters

  show | whether init tips has to be shown.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Manager/settingsmanager.h
- D:/Documentos/ViewDesignerAssistant/Manager/settingsmanager.cpp